<?php /* -*- Mode: php; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 2 -*- /*
/*
Plugin Name: Atom 1.0
Plugin URI: http://benjamin.smedbergs.us/wordpress-atom-1.0/
Description: Updates WordPress to use Atom 1.0 feeds with comment threading.
Author: Benjamin Smedberg
Version: 0.6
Author URI: http://benjamin.smedbergs.us/
Contributor: James M. Snell
Contributor: Jens Alfke
*/

function redirect_feeds()
{
  global $post, $posts, $wpdb, $id, $comment, $withcomments;

  if (is_feed()) {
    /* for some reason, the global $posts is trying to end up in the URL
     parameter array, causing a warning. */
    unset($GLOBALS["posts"]);

    if (is_single() || $withcomments) {
      require(ABSPATH . '/wp-content/plugins/atom10/wp-atom10-comments.php');
    }
    else {
      require(ABSPATH . '/wp-content/plugins/atom10/wp-atom10.php');
    }
    exit;
  }
}

add_action('template_redirect', 'redirect_feeds');
